Bug 1734122 - The ' Apply ' button doesn't work for Advance Filters in CloudForms
Summary: The ' Apply ' button doesn't work for Advance Filters in CloudForms
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.10.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.8
Assignee: Martin Hradil
QA Contact: Angelina Nikiforova
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1715550
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-29 16:41 UTC by Satoe Imaishi
Modified: 2019-10-30 19:35 UTC (History)
10 users (show)

Fixed In Version: 5.10.8.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1715550
Environment:
Last Closed: 2019-08-13 08:35:55 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2466 None None None 2019-08-13 08:35:56 UTC

Comment 2 CFME Bot 2019-07-29 16:46:02 UTC
New commit detected on ManageIQ/manageiq-ui-classic/hammer:

https://github.com/ManageIQ/manageiq-ui-classic/commit/02c3dbff9f6d33adff31fa6136ae3235bb6bf681
commit 02c3dbff9f6d33adff31fa6136ae3235bb6bf681
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Mon Jul 29 10:56:53 2019 -0400
Commit:     Milan Zázrivec <mzazrivec@redhat.com>
CommitDate: Mon Jul 29 10:56:53 2019 -0400

    Merge pull request #5875 from himdel/adv-apply

    user_input_filter - don't send Cancel on Apply

    (cherry picked from commit b9568e2f734a510eaddd4167d6729e114df92aea)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1734122

 app/assets/javascripts/miq_application.js | 1 +
 app/controllers/application_controller/filter.rb | 2 +
 app/views/layouts/_user_input_filter.html.haml | 9 +-
 3 files changed, 10 insertions(+), 2 deletions(-)

Comment 3 Angelina Nikiforova 2019-08-05 08:10:21 UTC
Fixed and verified in 5.10.8.0.20190729222758_e725e22.

Filter with user input produces results when clicking Apply button.

Comment 5 errata-xmlrpc 2019-08-13 08:35:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2466


Note You need to log in before you can comment on or make changes to this bug.